GCC = psp-gcc
LD = psp-ld
AR = PSP-ar
RANLIB = psp-ranlib

PSPSDK=$(shell psp-config --pspsdk-path)

CFLAGS=-march=allegrex -O0 -G0 -Wall -g -mgp32 -mlong32 -I. -I$(PSPSDK)/include
ASFLAGS=-march=allegrex -g -mgp32

LIB=libvnc.a
OBJECTS=rfbproto.o vncauth.o d3des.o sockets.o

all: $(LIB)

$(LIB): $(OBJECTS)
	$(AR) r $(LIB) $(OBJECTS)

.c.o:
	$(GCC) $(CFLAGS) -c $*.c

*.o: *.h

clean:
	rm -f *.o $(LIB)
